Package org.apache.sysds.runtime.controlprogram.paramserv.dp

# Class ORLocalScheme

java.lang.Object
org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme
org.apache.sysds.runtime.controlprogram.paramserv.dp.ORLocalScheme

public class ORLocalScheme extends DataPartitionLocalScheme
Data partitioner Overlap_Reshuffle: for each worker, use a new permutation multiply P %*% X, where P is constructed for example with P=table(seq(1,nrow(X),sample(nrow(X), nrow(X))))

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.sysds.runtime.controlprogram.paramserv.dp.DataPartitionLocalScheme

`DataPartitionLocalScheme.Result`

## Constructor Summary

Constructors
Constructor
Description
`ORLocalScheme()`

## Method Summary

Modifier and Type
Method
Description
`DataPartitionLocalScheme.Result`
`doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)`
`static List<MatrixBlock>`
`partition(int k, MatrixBlock mb, List<MatrixBlock> permutations)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ORLocalScheme

public ORLocalScheme()

## Method Details

### partition

public static List<MatrixBlock> partition(int k, MatrixBlock mb, List<MatrixBlock> permutations)

### doPartitioning

public DataPartitionLocalScheme.Result doPartitioning(int workersNum, MatrixBlock features, MatrixBlock labels)

Specified by:
  `doPartitioning` in class `DataPartitionLocalScheme`